Bug 160709 - pressing the numlock key causes system to die
pressing the numlock key causes system to die
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-16 15:58 EDT by Jason
Modified: 2015-01-04 17:20 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.13-1.1526_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 12:08:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2005-06-16 15:58:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
I just finished installing FC4 on my D865GLC motherboard.  If I press the numlock key the system dies.  A lot of stuff scrolls across the screen but I cannot copy it down.  If I don't touch the entire numeric keypad FC4 works.  Touch the numlock key or any other key on the keypad and watch out.  I have a US keyboard, 512 MB of RAM, 3.4 Ghz processor, Matrox P650 AGP video card.  I did a yum update and the same thing still happens.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  install fc4
2.  press numlock
3.
  

Actual Results:  crash

Expected Results:  I should be able to use the numbers on the keypad

Additional info:
Comment 1 Jason 2005-06-20 15:28:21 EDT
Unable to handle kernel NULL pointer dereference at virtual address 
000000c8                                                                       
     
 printing eip:              
c028b399        
*pde = 1e83f001               
Oops: 0002 [#1]               
SMP   
Modules linked in: parport_pc lp parport autofs4 ipt_REJECT ipt_state 
ip_conntra                                                                     
           
ck iptable_filter ip_tables video button battery ac uhci_hcd ehci_hcd shpchp 
hw_                                                                            
    
random i2c_i801 i2c_core snd_intel8x0 snd_ac97_codec snd_seq_dummy snd_seq_oss 
s                                                                              
  
nd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm 
snd_t                                                                          
      
imer snd soundcore snd_page_alloc e1000 dm_snapshot 
dm_z                                                       
m_mod ata_piix libata sd_mod scsi_mod                                     
CPU:    0         
EIP:    0060:[<c028b399>]    Not tainted 
VLI                                            
EFLAGS: 00010006   (2.6.11-
1.1369_FC4smp)                                         
EIP is at hidinput_hid_event+0x2d/0x292                                       
eax: df60e000   ebx: dd3df780   ecx: 0000000c   edx: 
c03cafa4                                                             
esi: dd3df7d4   edi: 00000003   ebp: 00000003   esp: 
c042ae74                                                             
ds: 007b   es: 007b   ss: 0068                              
Process swapper (pid: 0, threadinfo=c042a000 
task=c035ac20)                                                           
Stack: 00000001 00000080 0000000c df60f8ac df60e000 c03cafa4 00000003 
dd3df7d4                                                                       
       
       c02872e0 00000003 c03cafa4 dd3df780 
00000                                               
       c028758a 00000003 c03cafa4 00000000 000000ff ffffff00 00000001 
00000020                                                                       
       
Call Trace:           
 [<c02872e0>] 
hid_process_event+0x57/0x5f                                         
 [<c028758a>] 
hid_input_field+0x2a2/0x2ac                                         
 [<c0287632>] 
hid_input_report+0x9e/0xb8                                        
 [<c0287f62>] hid_ctrl+0x14c/0x151                                  
 [<e0a21060>] uhci_destroy_urb_priv+0xb5/0x10a 
[uhci_hcd]                                                         
 [<c027dab5>] 
usb_hcd_giveback_urb+0x24/0x67                                            
 [<e0a22360>] uhci_finish_urb+0x2d/0x38 
[uhci_hcd]                                                  
 [<e0a223af>] uhci_finish_completion+0x44/0x56 
[uhci_hcd]                                                         
 [<e0a224a2>] uhci_scan_schedule+0xaa/0x13a 
[uhci_hcd]                                                     
 [<c023413d>] 
i8042_interrupt+0x121/0x234                                         
 [<e0a226d0>] uhci_irq+0x47/0x10d 
[uhci_hcd]                                            
 [<c012a096>] 
update_wall_time+0x14/0x40                                        
 [<c027db1a>] usb_hcd_irq+0x22/0x52                                   
 [<c0143a3d>] 
handle_IRQ_event+0x2e/0x5a                                        
 [<c0143b36>] __do_IRQ+0xcd/0x137                                 
 [<c010663a>] do_IRQ+0x4e/0x86                              
 =======================                        
 [<c01167e6>] 
smp_apic_timer_interrupt+0xcc/0xce                                             
   
 [<c0104a5a>] 
common_interrupt+0x1a/0x20                                        
 [<c010225d>] mwait_idle+0x25/0x43                                  
 [<c01020c4>] cpu_idle+0x4e/0x63                                
 [<c03cb8bf>] start_kernel+0x172/0x1c9                                      
 [<c03cb31e>] unknown_booto                         
Code: 56 53 83 ec 10 89 d3 89 ce 8b 6c 24 24 8b 54 24 28 8d 88 ac 18 00 00 89 
4c                                                                             
   
 24 0c 8b 4b 4c 83 c1 0c 89 4c 24 08 0f 84 e6 00 00 00 <89> 91 bc 00 00 00 0f 
b6                                                                             
   
 7e 0a 89 fa 84 d2 0f 84 d2 00 00 00 8b                                       
 <0>Kernel panic - not syncing: Fatal exception in 
interrupt                                                            
 [<c01211c8>] panic+0x45/0x1e8                              
 [<c010537d>] die+0x17b/0x185                             
 [<c01195d8>] do_page_fault+0x207/0x6a7                                       
 [<c011b20f>] 
recalc_task_prio+0xc1/0x150                                         
 [<c011b32a>] activate_task+0x8c/0x9b                                     
 [<c011b679>] try_to_wake_up+0x6e/0x2b1                                       
 [<c011b679>] try_to_wake_up+0x6e                                
 [<c01193d1>] do_page_fault+0x0/0x6a7                                     
 [<c0104bb3>] error_code+0x4f/0x54                                  
 [<c028b399>] 
hidinput_hid_event+0x2d/0x292                                           
 [<c02872e0>] 
hid_process_event+0x57/0x5f                                         
 [<c028758a>] 
hid_input_field+0x2a2/0x2ac                                         
 [<c0287632>] 
hid_input_report+0x9e/0xb8                                        
 [<c0287f62>] hid_ctrl+0x14c/0x151                                  
 [<e0a21060>] uhci_destroy_urb_priv+0xb5/0x10a 
[uhci_hcd]                                                         
 [<c027dab5>] 
usb_hcd_giveback_urb+0x24/0x67                                            
 [<e0a22360>] uhci_finish_urb+0x2d/0x38 
[uhci_hcd]                                                  
 [<e0a223af>] uhci_finish_completion+0x44/0x56 
[uhci_hcd]                                                         
 [<e0a224a2>] uhci_scan_sched                           
 [<c023413d>] 
i8042_interrupt+0x121/0x234                                         
 [<e0a226d0>] uhci_irq+0x47/0x10d 
[uhci_hcd]                                            
 [<c012a096>] 
update_wall_time+0x14/0x40                                        
 [<c027db1a>] usb_hcd_irq+0x22/0x52                                   
 [<c0143a3d>] 
handle_IRQ_event+0x2e/0x5a                                        
 [<c0143b36>] __do_IRQ+0xcd/0x137                                 
 [<c010663a>] do_IRQ+0x4e/0x86                              
 =======================                        
 [<c01167e6>] 
smp_apic_timer_interrupt+0xcc/0xce                                             
   
 [<c0104a5a>] 
common_interrupt+0x1a/0x20                                        
 [<c010225d>] mwait_idle+0x25/0x43                                  
 [<c01020c4>] cpu_idle+0x4e/0x63                                
 [<c03cb8bf>] start_kernel+0x172/0x1c9                                      
 [<c03cb31e>] unknown_booto                         
 Badness in panic at kernel/panic.c:119 (Not 
tainted)                                                     
 [<c0121357>] panic+0x1d4/0x1e8                               
 [<c010537d>] die+0x17b/0x185                             
 [<c01195d8>] do_page_fault+0x207/0x6a7                                       
 [<c011b20f>] 
recalc_task_prio+0xc1/0x150                                         
 [<c011b32a>] activate_task+0x8c/0x9b                                     
 [<c011b679>] try_to_wake_up+0x6e/0x2b1                                       
 [<c011b679>] try_to_wake_up+0x6e/0x2b1                                       
 [<c01193d1>] do_page_fault+0x0/0x6a7                                     
 [<c0104bb3>] error_code+0x4f/0x54                                  
 [<c028b399>] 
hidinput_hid_event+0x2d/0x292                                     
 [<c02872e0>] hid_process_event+0x57/0x5f
 [<c028758a>] hid_input_field+0x2a2/0x2ac
 [<c0287632>] hid_input_report+0x9e/0xb8
 [<c0287f62>] hid_ctrl+0x14c/0x151
 [<e0a21060>] uhci_destroy_urb_priv+0xb5/0x10a [uhci_hcd]
 [<c027dab5>] usb_hcd_giveback_urb+0x24/0x67
 [<e0a22360>] uhci_finish_urb+0x2d/0x38 [uhci_hcd]
 [<e0a223af>] uhci_finish_completion+0x44/0x56 [uhci_hcd]
 [<e0a224a2>] uhci_scan_schedule+0xaa/0x13a [uhci_hcd]
 [<c023413d>] i8042_interrupt+0x121/0x234
 [<e0a226d0>] uhci_irq+0x47/0x10d [uhci_hcd]
 [<c012a096>] update_wall_time+0x14/0x40
 [<c027db1a>] usb_hcd_irq+0x22/0x52
 [<c0143a3d>] handle_IRQ_event+0x2e/0x5a
 [<c0143b36>] __do_IRQ+0xcd/0x137
 [<c010663a>] do_IRQ+0x4e/0x86
 =======================
 [<c01167e6>] smp_apic_timer_interrupt+0xcc/0xce
 [<c0104a5a>] common_interrupt+0x1a/0x20
 [<c010225d>] mwait_idle+0x25/0x43
 [<c01020c4>] cpu_idle+0x4e/0x63
 [<c03cb8bf>] start_kernel+0x172/0x1c9
 [<c03cb31e>] unknown_bootoption+0x0/0x1cd
Comment 2 Jason 2005-06-28 17:23:05 EDT
This happens if I press the caps lock, scroll lock, or num lock keys.  I also
downloaded the 2.6.12.1 kernel, compiled it using the i686-smp non-zen kernel
config, booted the new kernel, and the problem remains.  Touch one of the three
keys and the system crashes.

Thanks,
Comment 3 Pete Zaitcev 2005-06-28 17:50:32 EDT
Nice trace! BTW, this is some serious crack here:

void hidinput_hid_event(struct hid_device *hid, struct hid_field *field, struct
hid_usage *usage, __s32 value, struct pt_regs *regs)
{
	struct input_dev *input = &field->hidinput->input;
	int *quirks = &hid->quirks;

	if (!input)
		return;
.......

Obviously the check for null input never works. This may have
something to do with this bug.

The HID is very complicated, so I'll try to punt it over to Vojtech.
Comment 4 Jason 2005-06-28 19:27:22 EDT
Thank you for looking into this.

Jason
Comment 5 Jason 2005-06-29 11:10:53 EDT
The kernel-smp-2.6.12-1.1385_FC4.i686.rpm from
ftp://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/4/i386/
still has this problem.  
Comment 6 Jason 2005-07-12 17:17:42 EDT
both kernel 2.6.12-1.1387 and 2.6.12-1.1390 have the problem.
Comment 7 Dave Jones 2005-07-15 17:49:19 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 8 Jason 2005-07-18 10:49:56 EDT
still crashes with 2.6.12-1.1398 when a lock key is pressed.
Comment 9 Dave Jones 2005-09-30 02:36:49 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 10 Jason 2005-10-03 12:08:06 EDT
I tried the 2.6.13-1.1526 kernel and I can report it works fine.  Thanks for the
help.

Note You need to log in before you can comment on or make changes to this bug.